NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Wamp Server and Debugger


Joined: 20 Jul 2013
Posts: 2
Reply with quote
Ok 1st off be gentle, I am new and just trying to use phped to learn it.

I have a clean install of WAMP and the server was working with localhost.

Next I did a clean instal of phpED version 10.

Nest I followed the directions about using the wizard to install debugger on my local server. During the process it said to stop my local host, so I did. Next it said to start my localhost server and I did.

Wamp now cannot connect to localhost.

So then I rebooted my computer and WAMP still cannot connect to localhost, so I uninstalled WAMP and reinstalled it.

Then I tried to use the wizard to install debugger by creating a new project again. WAMP died again and I cannot restart it. I checked it and for some reason after I do the debugger thing apache will not restart.

Any help would be greatly appreciated. Question
View user's profileFind all posts by tashworth19191Send private messageSend e-mail
Only Reply I got so far is Spam


Joined: 20 Jul 2013
Posts: 2
Reply with quote
Does anyone have any suggestions on why using the wizard to install debugger on WAMP apache dies and won't restart.... Then I have to re-install WAMP???
View user's profileFind all posts by tashworth19191Send private messageSend e-mail
Veteran

Joined: 02 Sep 2007
Posts: 116
Location: Kiel, Germany
Reply with quote
I guess it isn't necessary to reinstall WAMP, probably just some lines in the Apache configuration are changed.

In the PhpED installation folder there's a subfolder /debugger/server/Windows which contains several variants of the debugger DLL. you have to choose the one that fits your Apache and PHP installations. phpinfo() tells you which Compiler was used and if it is thread-safe or not thread-safe (NTS). In my case (XAMPP) it shows

Quote:
Compiler: MSVC9 (Visual C++ 2008)

[...]

Zend Extension Build: API220090626,TS,VC9
PHP Extension Build: API20090626,TS,VC9

So I have to choose the folder x86_VC9 (the one with VC9 that ist not NTS). Then I choose the DLL that fits the PHP version. This DLL has to be included.

Sorry, I'm very short on time just now; if you need more help, maybe tonight I find some time.

Cheers,
Jan
View user's profileFind all posts by EnigmaSend private message
Wamp Server and Debugger
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic